<?php
  // Garante que o envio do buffer será imediato
  @apache_setenv('no-gzip', 1);
  @ini_set('zlib.output_compression', 0);
  @ini_set('implicit_flush', 1);
  for ($i = 0; $i < ob_get_level(); $i++) { ob_end_flush(); }
  ob_implicit_flush(1);

  include('conecta.php');
    $Select = mysql_query("SELECT * FROM email_users WHERE userid = 1");
    if($result = mysql_fetch_object($Select))

// Quando a ação for para remover anexo
if (@$_POST['acao'] == 'removeAnexo'){
    // Recuperando nome do arquivo
    $arquivo = $_POST['arquivo'];
    // Caminho dos uploads
    $caminho = '';
    // Verificando se o arquivo realmente existe
    if (file_exists($caminho . $arquivo) and !empty($arquivo))
        // Removendo arquivo
        unlink($caminho . $arquivo);
    // Finaliza a requisição
    exit;
}

// Se enviado o formulário
if (isset($_POST['enviar'])){
    echo 'Arquivos Enviados: ';
    echo '<pre>';
    $ind2 = sizeof($_POST['anexos']); 
    echo '</pre>';
    Foreach($_POST['anexos'] as $value){
      $NomeArquivo = $value; 
      $sql_crialista = "INSERT INTO email_lists( 
  		name, ownername, owneremail, bounceemail, replytoemail, format, notifyowner, imapaccount, createdate,  subscribecount, unsubscribecount, bouncecount, processbounce, agreedelete, agreedeleteall, visiblefields, ownerid, bounceserver, bounceusername, bouncepassword, extramailsettings)  
  		VALUES ('".substr($NomeArquivo, 0, -4)."',	'admin',	'".$_POST['email_devolvidos']."',	'".$_POST['email_resposta']."',	'".$_POST['email_proprietario_lista']."',
  		 'b', 0, 0, 1378318185, 0, 0, 0, 1, 1, 1, 'emailaddress,subscribedate,format,status,confirmed', '1', 'localhost', 'return', 'cmV0dXJuKnA1MzQ4KnZpcA==', '/novalidate-cert' )";
      if(mysql_query($sql_crialista)){
        $listid = mysql_insert_id();
//        echo 'lista id: ' . $listid . "<br/>";

        ini_set('max_execution_time','3000');
        $contador_erro = 0;
        $dhinicial = date('H:i:s');
        //cria arquivo
        $fh = fopen("txt_formatado/".$NomeArquivo."",'a') or die("Não foi possível abrir o arquivo...");

        $arquivo = file($NomeArquivo); //cria o mesmo arquivo na raiz
        for($i = 0;$i <count($arquivo);$i++){
          $email = $arquivo[$i];
          $email = str_replace(" ' ","",$email);
          $email = str_replace(" '' ","",$email);
          $email = str_replace(" ,' ",".",$email);
          $email = str_replace(" \n ","",$email);
          $Arroba = stripos($email,'@');
          if($Arroba === false){
            $contador_erro++;
          }else{
            $code = md5(uniqid(rand(),true));
            $SegundaParte = explode("@",$email);
            $final = "@".$SegundaParte[1];
            if($final == ''){
              $final = '@variavelvazia.com.br';
            }
            $inclui = "{$listid};{$email};{$final};h;1;{$code} \n";
            $inclui = str_replace("\r","",$inclui);
            $inclui = str_replace("\n","",$inclui);
            $inclui = str_replace("\t","",$inclui);
            $inclui = preg_replace("/(<br.*?>)/i","",$inclui);
            $inclui = $inclui."\n";
            fwrite($fh,$inclui);
          }
        }
        fclose($fh);
        $query = mysql_query("LOAD DATA LOCAL INFILE 'txt_formatado/".$NomeArquivo."'   INTO TABLE email_list_subscribers
      		   FIELDS TERMINATED BY ';'
      		   LINES TERMINATED BY '\n'
      		   (listid, emailaddress, domainname, format, confirmed, confirmcode) ")  or die ('ERRO'.mysql_error());
        $QueryTotal = mysql_query("SELECT count(listid) as listid FROM  email_list_subscribers WHERE listid = ". $listid ."");
        if($total = mysql_fetch_object($QueryTotal))
        $Total = $total->listid;
        mysql_query("UPDATE email_lists SET subscribecount = ".$Total." WHERE listid = ". $listid ."  ");
        $arquivo = $NomeArquivo;
        $ArquivoFormatado = "txt_formatado/".$NomeArquivo;
        if(unlink($arquivo) &&(unlink($ArquivoFormatado))){
        }else{
        }
        $dhfinal = date('H:i:s');
        echo "<br>";
        echo "<b>Lista ". substr($NomeArquivo, 0, -4) ." criada com SUCESSO!</b>";
        echo "<br>";
        echo "Total de E-mails Importado: ".$Total;
        echo "<br>";
        echo "Total de E-mails Não Importado: ".$contador_erro;
        echo "<br>";
        echo "Data e Hora Inicial: ".$dhinicial;
        echo "<br>";
        echo "Data e Hora Final: ".$dhfinal;
        echo "<br>";
        $ex_hrini = explode(':',$dhinicial);
        $ex_hrfim = explode(':',$dhfinal);
        $H = $ex_hrini[0] -$ex_hrfim[0];
        $i = $ex_hrini[1] -$ex_hrfim[1];
        $s = $ex_hrini[2] -$ex_hrfim[2];
        $data_inicial = mktime($ex_hrini[0],$ex_hrini[1],$ex_hrini[2]);
        $data_final = mktime($ex_hrfim[0],$ex_hrfim[1],$ex_hrfim[2]);
        $segundos = $data_final -$data_inicial;
        echo "Tempo Corrido: ".gmdate("H:i:s",$segundos);
      }else{
        echo 'ERRO:'.mysql_error();
      }

    }
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<title>Upload listas para Mailing</title>

<script type="text/javascript" src="js/jquery.js"></script>

<style type="text/css">
body {
    font-family: "Trebuchet MS";
    font-size: 14px;    
}

iframe {
    border: 0;
    overflow: hidden;
    margin: 0;
    height: 60px;
    width: 450px;
}

#anexos {
    list-style-image: url(image/file.png);
}

img.remover {
    cursor: pointer;
    vertical-align: bottom;
}
</style>


<script type="text/javascript">
$(function($) {
    // Quando enviado o formulário
    $("#upload").submit(function() {
        // Passando por cada anexo
        $("#anexos").find("li").each(function() {
            // Recuperando nome do arquivo
            var arquivo = $(this).attr('lang');
            // Criando campo oculto com o nome do arquivo
            $("#upload").prepend('<input type="hidden" name="anexos[]" value="' + arquivo + '" \/>');
        }); 
    });
});
    
// Função para remover um anexo
function removeAnexo(obj){
    // Recuperando nome do arquivo
    var arquivo = $(obj).parent('li').attr('lang');
    // Removendo arquivo do servidor
    $.post("index.php", {acao: 'removeAnexo', arquivo: arquivo}, function() {
        // Removendo elemento da página
        $(obj).parent('li').remove();
    });
}
    </script>
    
</head>

<body>

<h1>Selecione a(s) listas a serem inseridas</h1>

<ul id="anexos"></ul>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>
<iframe src="upload.php" frameborder="0" scrolling="no"></iframe>

<form id="upload" action="index.php" method="post">

       <table width="515" border="0">
         <tr>
           <td width="193">Nome da Lista:</td>
           <td width="312">Nome do arquivo. Ex: <b>lista1.txt -> lista1</b></td>
         </tr>
         <tr>
           <td>Email do Proprietario da Lista:</td>
           <td><input name="email_proprietario_lista" type="text" id="email_proprietario_lista" size="30" 
           value="<?php echo $result->emailaddress; ; ?>" /></td>
         </tr>
         <tr>
           <td> Lista dos e-mails de Resposta: </td>
           <td><input name="email_resposta" type="text" id="email_resposta" size="30"
           value="<?php echo $result->emailaddress; ; ?>" /></td>
         </tr>
         <tr>
           <td> Lista para e-mails Devolvidos: </td>
           <td><input name="email_devolvidos" type="text" id="email_devolvidos" size="30"
           value="<?php echo $result->emailaddress; ; ?>" /></td>
         </tr>
         <tr>
           <td>&nbsp;</td>
           <td><input type="submit" name="enviar" value="Enviar" /></td>
         </tr>
       </table>
    
</form>

</body>
</html>
